#!/bin/bash

if [ ! "$#" = "1" ]
then
	echo "Need an image on argument !"
	echo "Try $0 paris.jpg"
	exit -1
fi

if [ ! -f "$1" ]
then
	echo "File $1 not found"
	exit -1
fi

convert -resize 200x332! $1 tmp2.jpg 
convert -resize 40x332! $1 tmp.jpg 

	
# Distort both images and merge using common points.
convert -virtual-pixel transparent \
    \( tmp.jpg -matte  +distort Perspective \
           '0,0 -30,20   0,199 -30,179   39,199 0,199   39,0 0,0' \) \
    \( tmp2.jpg -matte  +distort Perspective \
           '0,0 0,0   0,199 0,199   149,199 99,155   149,0 99,30' \) \
    -background white -layers merge  +repage \
    -bordercolor white -border 15x2    `basename $1`-3d.jpg

rm -f tmp.jpg tmp2.jpg
echo "Image `basename $1`-3d.jpg done"
echo ""